Странности Joomla 1.5

Тема в разделе "Настройка сервера (Apache, PHP, MySQL и phpMyAdmin", создана пользователем abrodski, 12.10.2015.

  1. Offline

    abrodski Пользователь

    Регистрация:
    16.12.2012
    Сообщения:
    38
    Симпатии:
    0
    Пол:
    Мужской
    Здравствуйте,

    У меня возникла странная проблема. Собственно, их две. Одна -- решаемая, а вторую я сам не могу осилить. Но может быть это как то связано...
    Проблема № 1:
    Для того, чтобы в админке сохранить что либо надо кликнуть 2-3 раза. С первого раза, чаще всего, ничего не меняется.
    Проблема № 2:
    У меня стоит VirtueMart 1.1
    Там есть способ оплаты ROBOKASSA
    Там вообще непонятно что происходит. Там где надо ввести пароль и т.д., вместо этого какая то ерунда сама откуда то берется (похоже на PHP код).
    Типа < ? ECHO и т.д. >
    Это же система сама автоматом прописывает и в соответствующем конфигурационном файле PHP.
    Само собой, что в магазине оплата при помощи системы ROBOKASSA не работает (там вместо ссылки на интерфейс Робокассы, я получаю PHP-шный текст, состоящий из разных параметров.
     
  2.  
  3. draff
    Offline

    draff Russian Joomla! Team Команда форума

    Регистрация:
    17.01.2011
    Сообщения:
    6 044
    Симпатии:
    519
    Пол:
    Мужской
    Я бы начал обновления Джумла до 1.5.26,Вирт до 1.1.9, проверил бы явасрипты на вирус. А потом почитать на сайте Робокассы примеры для работы с Джумла.
     
  4. Offline

    abrodski Пользователь

    Регистрация:
    16.12.2012
    Сообщения:
    38
    Симпатии:
    0
    Пол:
    Мужской
    Спасибо за ответ!

    У меня и так самая "новая" версия Джумлы 1.5.26 (кажется, так и есть). Правда Virtuemart не самый новый для 1.1., но я думаю дело не в этом. Оно раньше (года 2-3 назад) всё как есть прекрасно работало!
    Знаете, у меня что-то подозрение, что может старая Joomla не очень дружит с PHP 5.5, который у меня стоит на сервере?
    Те симптомы, о которых я писал вначале, могут быть как-то с этим связаны?
    --- добавлено: 13.10.2015, первое сообщение размещено: 12.10.2015 ---
    Короче говоря, я решил не искать черную кошку в темной комнате. Сделал upgrade сайта до версии Джумлы 2.5.28 (последней в версии 2.5) при помощи JUpgrade'a. Нашел тот же шаблон, только под J2.5 и установил его. После этого установил Virtuemart 2.6.20 (последнюю версию второго Virtuemart'a). Буду, с Божьей помощью, осваивать всё это.
    Да, видимо J1.5 -- это немного перебор, когда уже J3.5 не за горами..
     

Поделиться этой страницей

Загрузка...